.right-menu {
  display: none;
  position: absolute;
  right: -39.8rem;
  z-index: 111;
  box-sizing: border-box;
  width: 39.8rem;
  height: 100%;
  padding: 3.8rem 3.2rem 0 4rem;
  background: #06002a 0% 0% no-repeat padding-box;
  box-shadow: 0 7px 9px #000000bf;
  transition: right .5s;
  overflow: auto;

  &__open {
    display: block;
    right: 0;
  }

  &-links {
    margin-top: 2.8rem;
    margin-left: 3.5rem;
  }

  @media only screen and (max-width: 1400px) {
    right:-28rem;
    box-sizing: border-box;
    width: 28rem;
    height: 100%;
    padding: 1.5rem 1.2rem 0 2rem;

    &__open {
      right: 0;
    }
  }
}
